import esbuild from 'esbuild'
import { readFileSync, writeFileSync } from 'fs'
import { resolve, dirname } from 'path'
import { fileURLToPath } from 'url';

esbuild.build({
  entryPoints: ['./scripts/cm.js'],
  bundle: true,
  format: 'esm',
  outfile: 'codemirror.esm.js',
}).catch(() => process.exit(1))

const __dirname = dirname(fileURLToPath(import.meta.url));
const css = readFileSync(
    resolve(__dirname, '../node_modules/codemirror/lib/codemirror.css'),
    'utf-8',
)
writeFileSync(
    resolve(__dirname, '../codemirror.css'),
    css,
    'utf-8',
)